function E0090()
    MNA()CMU("XXXX")FAI(0)
end
function E0091()
    MNA()CMU("XXXX")FAI(1)
end
function E0092()
    MNA()CMU("XXXX")FAI(2)
end
function E0093()
    MNA()CMU("XXXX")FAI(3)
end
function E0094()
    MNA()CMU("XXXX")FAI(4)
end

function Door_GoGaudiMountain()
    PRI()MM0()SOU("CS_110")ANP("Door_GoGaudiMountain",0,1)FAO(2)TRA("CS_gaudi_mountain","E0090",5,12)
end

function MahinStillSleep()
    KEY()
    ANP("Mahin1","sleep",1)
    HMC()
    CMU("XXXX")
    FAI(2)
    WAI(32)
    KnockTheDoor()
    MS3("\n胖子！我们老板有话想和你说...")NOD()CLO()
    WAI(60)
    KnockTheDoor()
    WAI(60)
    MS3("\n唔，居然还在睡吗？")NOD()CLO()
    WAI(64)
    FAO(1)
    TRA("CS_gaudi_mountain","TheBossIsMonsterX",5,12)
end

function KnockTheDoor()
    for i=0,2,1 do
        SOU("CS_110")
        SNP("CS_pe_gunshothit",23,14,0,"mainLayer","null")
        WAI(16)
    end
end

function SaveMahin()
    KEY()
    ANP("Mahin1","sleep",1)
    HMC()
    CMU("XXXX")
    FAI(2)
    WAI(32)
    SOU("CS_110")ANP("Door_GoGaudiMountain",0,1)
    SMC(0)
    SLR(0)
    WAI(32)
    MS3("\n马宾？")NOD()CLO()
    WAI(60)
    AMC("walk",0)
    WAI(32)
    AMC("normal")
    WAI(32)
    CMU("InjuredKitten")
    MS3("马宾！")
    CAT("\n我终于找到你了，")NOD()
    CAT("\n快醒醒，")NOD()
    CAT("\n我们一起回家吧！")NOD()CLO()
    WAI(60)
    MS3("\n呼噜...")NOD()CLO()
    WAI(60)
    MS3("间八？")NOD()
    CAT("\n我好像听到了间八的声音...")NOD()CLO()
    WAI(60)
    ANP("Mahin1","normal",1)
    WAI(60)
    MS3("是间八！")NOD()
    CAT("\n是真的间八，")NOD()
    CAT("\n这不是梦里吧？")NOD()CLR()
    CAT("不是梦啦~")NOD()
    CAT("\n这是真的，")
    CAT("\n我来带你回家了。")NOD()CLO()
    WAI(60)
    ANP("Mahin1","cry",0)
    WAI(60)
    ANP("Mahin1","cry",1)
    WAI(30)
    ANP("Mahin1","cry",2)
    WAI(30)
    MS3("间八，我好想你啊！")NOD()
    CAT("\n我知道你一定会来救我的。")NOD()CLR()
    CAT("我当然会救我的好兄弟。")NOD()
    CAT("\n别哭啦~")NOD()
    CAT("\n我们现在得出去和大家汇合~")NOD()CLR()
    CAT("\n好！")NOD()CLO()
    PMU(5)
    FAO(2)
    TRA("CS_fortress_escape","Escape",19,13)
end